> For the complete documentation index, see [llms.txt](https://docs.lenses.io/latest/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array.md).

# Array

- [ELEMENT\_OF](https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array/element_of.md): This page describes the ELEMENT\_OF function in Lenses SQL.
- [FLATTEN](https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array/flatten.md): This page describes the FLATTEN function in Lenses SQL.
- [IN\_ARRAY](https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array/in_array.md): This page describes the IN\_ARRAY function in Lenses SQL.
- [REPEAT](https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array/repeat.md): This page describes the REPEAT function in Lenses SQL.
- [SIZEOF](https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array/sizeof.md): This page describes the SIZEOF function in Lenses SQL.
- [ZIP\_ALL](https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array/zip_all.md): This page describes the ZIP\_ALL function in Lenses SQL.
- [ZIP](https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array/zip.md): This page describes the ZIP function in Lenses SQL.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lenses.io/latest/devx/6.0/user-guide/sql-reference/functions/array.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
